Typedefs | Functions

# key.h File Reference

`#include "wizard/cipher.h"`
`#include "wizard/random_.h"`
`#include "wizard/splay-tree.h"`

Go to the source code of this file.

## Typedefs
typedef struct _KeyInfo | KeyInfo
## Functions
WizardExport KeyInfo * | AcquireKeyInfo (void)
WizardExport KeyInfo ** | DestroyKeyInfo (KeyInfo *)
WizardExport WizardBooleanType | SetKeyInfo (KeyInfo *, const StringInfo *, const StringInfo *)
WizardExport StringInfo * | GenerateSessionKey (KeyInfo *)
WizardExport StringInfo ** | GetKeyInfo (KeyInfo *, const StringInfo *)

## Typedef Documentation

typedef struct _KeyInfo KeyInfo

## Function Documentation

WizardExport KeyInfo* AcquireKeyInfo | ( | void |  | ) |

WizardExport KeyInfo* * DestroyKeyInfo | ( | KeyInfo * |  | ) |

References _KeyInfo::cipher_info, CipherDomain, DestroyCipherInfo(), DestroyRandomInfo(), DestroySplayTree(), DestroyStringInfo(), GetWizardModule, _KeyInfo::id, _KeyInfo::key_map, LogWizardEvent(), _KeyInfo::nonce, _KeyInfo::random_info, RelinquishWizardMemory(), _KeyInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

WizardExport StringInfo* GenerateSessionKey | ( | KeyInfo * |  | ) |

WizardExport StringInfo* * GetKeyInfo | ( | KeyInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

References _KeyInfo::cipher_info, CipherDomain, CloneStringInfo(), DecipherCipher(), GetValueFromSplayTree(), GetWizardModule, _KeyInfo::id, _KeyInfo::key_map, KeyError, KeymapDomain, LogWizardEvent(), _KeyInfo::nonce, SetCipherKey(), SetCipherNonce(), ThrowWizardFatalError, TraceEvent, and WizardAssert.

WizardExport WizardBooleanType SetKeyInfo | ( | KeyInfo * | ,
|  | const StringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

References AddValueToSplayTree(), _KeyInfo::cipher_info, CipherDomain, CloneStringInfo(), EncipherCipher(), GetValueFromSplayTree(), GetWizardModule, _KeyInfo::id, _KeyInfo::key_map, KeyError, KeymapDomain, LogWizardEvent(), _KeyInfo::nonce, SetCipherKey(), SetCipherNonce(), ThrowWizardFatalError, TraceEvent, and WizardAssert.

Referenced by GenerateSessionKey().